package com.gic.haoban.manage.web.vo;

import com.gic.haoban.manage.api.dto.DepartmentDTO;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class StaffVO implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 员工id
	 */
	private String staffId;
	/**
	 * 企业微信id
	 */
	private String wxEnterpriseId;
	/**
	 * 微信用户id
	 */
	private String wxUserId;
	/**
	 * 手机号
	 */
	private String phoneNumber;
	/**
	 * 员工姓名
	 */
	private String staffName;
	/**
	 * 国家码
	 */
	private String nationCode;
	/**
	 * 昵称
	 */
	private String nickName;
	/**
	 * 性别
	 */
	private Integer sex;
	/**
	 * 职位
	 */
	private String postion;
	/**
	 * 激活状态
	 */
	private Integer activeFlag;
	/**
	 * 对外职务
	 */
	private String extendPostion;
	/**
	 * 状态
	 */
	private Integer statusFlag;

	private Date createTime;

	private Date updateTime;

	private String departmentIds;

	private String headImg;

	private Integer sort;

	private List<DepartmentDTO> departmentList;

	private int bindFlag;

	private String clerkCode;

	private String staffDepartmentRelatedId;

	private int clerkType;

	private Integer syncPostionFlag;

	private Integer superManagerFlag;

	private Boolean weixinPush;

	private Integer memberCount;

	private String clerkId;
	/**
	 * 关联状态 1 已关联 0 未关联
	 * 关联状态为 员工是否关联某门店导购
	 */
	private Integer relationFlag;

	private String wxOpenUseId;

	private String wxOpenId;
	private String qrCode;

	public String getClerkId() {
		return clerkId;
	}

	public void setClerkId(String clerkId) {
		this.clerkId = clerkId;
	}

	public int getClerkType() {
		return clerkType;
	}

	public void setClerkType(int clerkType) {
		this.clerkType = clerkType;
	}

	public String getStaffDepartmentRelatedId() {
		return staffDepartmentRelatedId;
	}

	public void setStaffDepartmentRelatedId(String staffDepartmentRelatedId) {
		this.staffDepartmentRelatedId = staffDepartmentRelatedId;
	}

	public String getClerkCode() {
		return clerkCode;
	}

	public void setClerkCode(String clerkCode) {
		this.clerkCode = clerkCode;
	}


	public int getBindFlag() {
		return bindFlag;
	}

	public void setBindFlag(int bindFlag) {
		this.bindFlag = bindFlag;
	}

	public String getStaffId() {
		return staffId;
	}

	public void setStaffId(String staffId) {
		this.staffId = staffId == null ? null : staffId.trim();
	}



	public String getWxEnterpriseId() {
		return wxEnterpriseId;
	}

	public void setWxEnterpriseId(String wxEnterpriseId) {
		this.wxEnterpriseId = wxEnterpriseId;
	}

	public String getExtendPostion() {
		return extendPostion;
	}

	public void setExtendPostion(String extendPostion) {
		this.extendPostion = extendPostion;
	}

	public Integer getStatusFlag() {
		return statusFlag;
	}

	public void setStatusFlag(Integer statusFlag) {
		this.statusFlag = statusFlag;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getWxUserId() {
		return wxUserId;
	}

	public void setWxUserId(String wxUserId) {
		this.wxUserId = wxUserId == null ? null : wxUserId.trim();
	}

	public String getPhoneNumber() {
		return phoneNumber;
	}

	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber == null ? null : phoneNumber.trim();
	}

	public String getStaffName() {
		return staffName;
	}

	public void setStaffName(String staffName) {
		this.staffName = staffName == null ? null : staffName.trim();
	}

	public String getNationCode() {
		return nationCode;
	}

	public void setNationCode(String nationCode) {
		this.nationCode = nationCode == null ? null : nationCode.trim();
	}

	public String getNickName() {
		return nickName;
	}

	public void setNickName(String nickName) {
		this.nickName = nickName == null ? null : nickName.trim();
	}

	public Integer getSex() {
		return sex;
	}

	public void setSex(Integer sex) {
		this.sex = sex;
	}

	public String getPostion() {
		return postion;
	}

	public void setPostion(String postion) {
		this.postion = postion == null ? null : postion.trim();
	}

	public Integer getActiveFlag() {
		return activeFlag;
	}

	public void setActiveFlag(Integer activeFlag) {
		this.activeFlag = activeFlag;
	}

	public String getDepartmentIds() {
		return departmentIds;
	}

	public void setDepartmentIds(String departmentIds) {
		this.departmentIds = departmentIds;
	}

	public String getHeadImg() {
		return headImg;
	}

	public void setHeadImg(String headImg) {
		this.headImg = headImg;
	}

	public List<DepartmentDTO> getDepartmentList() {
		return departmentList;
	}

	public void setDepartmentList(List<DepartmentDTO> departmentList) {
		this.departmentList = departmentList;
	}

	public Integer getSort() {
		return sort;
	}

	public void setSort(Integer sort) {
		this.sort = sort;
	}

	public Integer getSyncPostionFlag() {
		return syncPostionFlag;
	}

	public void setSyncPostionFlag(Integer syncPostionFlag) {
		this.syncPostionFlag = syncPostionFlag;
	}

	public Integer getSuperManagerFlag() {
		return superManagerFlag;
	}

	public void setSuperManagerFlag(Integer superManagerFlag) {
		this.superManagerFlag = superManagerFlag;
	}

	public Boolean getWeixinPush() {
		return weixinPush;
	}

	public void setWeixinPush(Boolean weixinPush) {
		this.weixinPush = weixinPush;
	}

	public Integer getMemberCount() {
		return memberCount;
	}

	public void setMemberCount(Integer memberCount) {
		this.memberCount = memberCount;
	}

	public Integer getRelationFlag() {
		return relationFlag;
	}

	public void setRelationFlag(Integer relationFlag) {
		this.relationFlag = relationFlag;
	}

	public String getWxOpenUseId() {
		return wxOpenUseId;
	}

	public void setWxOpenUseId(String wxOpenUseId) {
		this.wxOpenUseId = wxOpenUseId;
	}

	public String getWxOpenId() {
		return wxOpenId;
	}

	public void setWxOpenId(String wxOpenId) {
		this.wxOpenId = wxOpenId;
	}

	public String getQrCode() {
		return qrCode;
	}

	public void setQrCode(String qrCode) {
		this.qrCode = qrCode;
	}
}
